package com.ruoyi.system.domain.userbook.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
* <p>
* 错题本请求类
* </p>
*
* @author 聪明笨狗
* @since 2020-05-27 17:56
*/
@Data
@ApiModel(value="错题本", description="错题本")
public class UserBookDTO implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "ID")
    private String id;

    @ApiModelProperty(value = "考试ID")
    private String examId;

    @ApiModelProperty(value = "用户ID")
    private String userId;

    @ApiModelProperty(value = "题目ID")
    private String quId;

    @ApiModelProperty(value = "加入时间")
    private Date createTime;

    @ApiModelProperty(value = "最近错误时间")
    private Date updateTime;

    @ApiModelProperty(value = "错误时间")
    private Integer wrongCount;

    @ApiModelProperty(value = "题目标题")
    private String title;

    @ApiModelProperty(value = "错题序号")
    private Integer sort;

}